Models/MaBugReport.cs
namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public class MaBugReport
    {
        public int Id { get; set; }
        public Nullable<int> BranchId { get; set; }
        public Nullable<int> UserId { get; set; }
        [Display(Name = "Title")]
        [StringLength(150)]
        [Required(ErrorMessage = "Required")]
        public string Title { get; set; }
        [Display(Name="Message")]
        [StringLength(500)]
        [Required(ErrorMessage="Required")]
        [DataType(DataType.MultilineText)]
        
        public string BugMessage { get; set; }
        [Display(Name="Date")]
        [DataType(DataType.Date)]
        public Nullable<DateTime> Cdate { get; set; }
        private Nullable<bool> _status;
        public bool Status
        {
            get
            {
                if (_status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _status = value;
            }
        }
        public string ReplyStatus { get; set; }
        [DataType(DataType.Date)]
        public Nullable<DateTime> LastUpdated { get; set; }

        [Required(ErrorMessage="Required")]
        [Display(Name = "Priority Level")]
        public string PriorityType { get; set; }
        public Nullable<int> SrNo { get; set; }
        public string Screenshot { get; set; }



        public Nullable<int> CountBug { get; set; }

        public virtual MaBranch MaBranch { get; set; }
        public virtual User User { get; set; }
    }
}

Controllers/MaBugReportController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SSCMvc.Models;
using System.Net.Mail;
using System.Net;
using System.Configuration;
using SSCMvc.Webutil;
namespace SSCMvc.Controllers
{
    [Authorize]
    public class MaBugReportController : Controller
    {
        private SSCWebDBEntities1 db = new SSCWebDBEntities1();

        //
        // GET: /MaBugReport/

        public ActionResult Index()
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.BugReport, UserAction.View);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }

            ViewBag.UsersList = new SelectList(db.Users.OrderBy(z => z.Fullname).ToList(), "Id", "username");
            var mabugreports = db.MaBugReports.Include(m => m.MaBranch).Include(m => m.User).OrderByDescending(z => z.Id).ToList();
            ViewBag.TotalCount = mabugreports.Count();
            return View();
        }

        public JsonResult GetData()
        {

            List<MaBugReport> lis = db.MaBugReports.OrderByDescending(x => x.Id).ToList();
            var subCategoryToReturn = lis.Select(S => new {
                SerailNo = S.SrNo,
             Title = S.Title,
               UserName= S.User.Fullname,
               CDate = S.Cdate.Value.ToString("dd/MMM/yyyy hh:mm:ss tt"),
               ReplyStatus = S.ReplyStatus,
               PriorityType = S.PriorityType.Split(':')[0],
              lastupdate = S.LastUpdated.Value.ToString("dd/MMM/yyyy hh:mm:ss tt")
               ,
              
                Action = " <a target='_blanl' href='/MaBugReport/Details/" + S.Id + "'  title='Detail'><i class='icon-eye-open'></i> Detail </a> | <a target='_blanl' href='/MaBugReport/Edit/" + S.Id + "'  title='Edit'><i class='icon-edit'></i> Edit </a>|<a href='#' onclick='Delete("+S.Id+");'  title='Delete'  ><i class='icon-trash'></i> Delete </a> "
            }).ToList();
            //var jsonData = new
            //{
            //    data = from Soc in subCategoryToReturn.ToList() select Soc

            //};
            return Json(subCategoryToReturn, JsonRequestBehavior.AllowGet);
        }

        //
        // GET: /MaBugReport/Details/5

        public ActionResult Details(int id = 0)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.BugReport, UserAction.View);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            MaBugReport mabugreport = db.MaBugReports.Find(id);
            if (mabugreport == null)
            {
                return HttpNotFound();
            }
            return View(mabugreport);
        }

        //
        // GET: /MaBugReport/Create

        public ActionResult Create()
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.BugReport, UserAction.Add);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName");
            ViewBag.UserId = new SelectList(db.Users, "Id", "Password");
            return View();
        }

        //
        // POST: /MaBugReport/Create

        [HttpPost]
        public ActionResult Create(MaBugReport mabugreport, HttpPostedFileBase File)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.BugReport, UserAction.Add);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }

            int branchid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieBranchid].Value);
            int uid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);

            int? maxsr = db.MaBugReports.Select(z => z.SrNo).Max();
            if (maxsr == null)
            {
                maxsr = 1;
            }
            else
            {
                maxsr = maxsr + 1;
            }
            mabugreport.SrNo = maxsr;
            mabugreport.BranchId = branchid;
            mabugreport.UserId = uid;
            mabugreport.Cdate = DateTime.Now.AddMinutes(StaticLogic.TimeDifference);
            mabugreport.Status = true;
            mabugreport.LastUpdated = DateTime.Now.AddMinutes(StaticLogic.TimeDifference);
            mabugreport.ReplyStatus = CommonUtil.BugStatusOpen;
            if (ModelState.IsValid)
            {
                db.MaBugReports.Add(mabugreport);
                try
                {
                    if (File.ContentLength > 0)
                    {
                        string gid = Guid.NewGuid().ToString().Substring(0, 4);
                        string filename = gid + File.FileName;
                        filename = filename.Replace(" ", "_");
                        filename = filename.Replace("%", "_");
                        filename = filename.Replace("#", "_");
                        var image = System.Web.Helpers.WebImage.GetImageFromRequest();
                        image.Resize(700, 500, true, false);
                        var pic = filename;
                        image.Save(System.IO.Path.Combine(Server.MapPath("/Images/ScreenShot"), pic));
                        mabugreport.Screenshot = filename;
                    }
                    else
                    {
                        mabugreport.Screenshot = "NoImage.jpg";
                    }
                }
                catch (Exception ex)
                {
                    mabugreport.Screenshot = "NoImage.jpg";
                }
                db.SaveChanges();
                User u = db.Users.Where(z => z.Id == mabugreport.UserId).First();

                SendEmail(mabugreport, u);
                return RedirectToAction("Index");
            }

            ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName", mabugreport.BranchId);
            ViewBag.UserId = new SelectList(db.Users, "Id", "Password", mabugreport.UserId);
            return View(mabugreport);
        }

        //
        // GET: /MaBugReport/Edit/5

        public ActionResult Edit(int id = 0, int count = 0)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.BugReport, UserAction.Edit);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }


            MaBugReport mabugreport = db.MaBugReports.Find(id);

            mabugreport.CountBug = count;
            if (mabugreport == null)
            {
                return HttpNotFound();
            }
            ViewBag.bugno = mabugreport.SrNo;
            ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName", mabugreport.BranchId);
            ViewBag.UserId = new SelectList(db.Users, "Id", "Password", mabugreport.UserId);
            return View(mabugreport);
        }

        //
        // POST: /MaBugReport/Edit/5

        [HttpPost]
        public ActionResult Edit(MaBugReport mabugreport, HttpPostedFileBase File)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.BugReport, UserAction.Edit);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            int branchid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieBranchid].Value);
            int uid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);
            mabugreport.BranchId = branchid;
            //mabugreport.UserId = uid;
            mabugreport.LastUpdated = DateTime.Now.AddMinutes(StaticLogic.TimeDifference);
            mabugreport.Status = true;
            if (ModelState.IsValid)
            {
                try
                {
                    if (File.ContentLength > 0)
                    {
                        string gid = Guid.NewGuid().ToString().Substring(0, 4);
                        string filename = gid + File.FileName;
                        filename = filename.Replace(" ", "_");
                        var image = System.Web.Helpers.WebImage.GetImageFromRequest();
                        image.Resize(700, 500, true, false);
                        var pic = filename;
                        image.Save(System.IO.Path.Combine(Server.MapPath("/Images/ScreenShot"), pic));
                        mabugreport.Screenshot = filename;
                    }
                }
                catch (Exception ex)
                {
                  
                }

Views/MaBugReport/Create.cshtml
@using SSCMvc.Models;
@using SSCMvc.Webutil;
@using System.Web.UI.WebControls;
@model SSCMvc.Models.MaBugReport
@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">



        $(document).ready(function () {

            $("#btnCancel").click(function () {
                window.location.href = "/MaBugReport/Index";

            });
            $("#Title").attr('placeholder', 'Only 150 Character');
            $("#Title").css('width', '350px');


            $("#BugMessage").attr('placeholder', 'Only 500 Characters');
            $("#BugMessage").css('height', '150px');
            $("#BugMessage").css('width', '350px');

        });

  

    </script>
}
@using (Html.BeginForm("Create", "MaBugReport", null, FormMethod.Post, new { @id = "Form_Masters", @class = "form-horizontal", enctype = "multipart/form-data" }))
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Create BugReport</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
          string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <table width="600px" align="center">
                            <tr>
                                <td width="100px" align="left" class="editor-label">
                                    Title <span class="color_style">*</span>
                                </td>
                                <td align="left">
                                    @Html.EditorFor(model => model.Title)
                                </td>
                                <td width="100px" align="left">
                                    @Html.ValidationMessageFor(model => model.Title)
                                </td>
                            </tr>
                            <tr>
                                <td width="100px" align="left" valign="top" class="editor-label">
                                    Message <span class="color_style">*</span>
                                </td>
                                <td align="left">
                                    @Html.EditorFor(model => model.BugMessage)
                                </td>
                                <td width="100px" align="left">
                                    @Html.ValidationMessageFor(model => model.BugMessage)
                                </td>
                            </tr>
                            <tr>
                                <td width="100px" align="left" valign="top" class="editor-label">
                                    Priority Level <span class="color_style">*</span>
                                </td>
                                <td align="left">
                                    @{
          var liTimeSlot = new List<ListItem>();
          liTimeSlot.Add(new ListItem { Text = "", Value = "" });
          liTimeSlot.Add(new ListItem { Text = "Critical: Resolution Time 2 hours", Value = "Critical: Resolution Time 2 hours" });
          liTimeSlot.Add(new ListItem { Text = "High: Resolution Time 4 hours", Value = "High: Resolution Time 4 hours" });
          liTimeSlot.Add(new ListItem { Text = "Medium: Resolution time 24 hours", Value = "Medium: Resolution time 24 hours" });
          liTimeSlot.Add(new ListItem { Text = "Low: Resolution time 48 hours ", Value = "Low: Resolution time 48 hours" });
        
   
                              
                                    }
                                    @Html.DropDownListFor(model => model.PriorityType, new SelectList(liTimeSlot))
                                </td>
                                <td width="100px" align="left">
                                    @Html.ValidationMessageFor(model => model.PriorityType)
                                </td>
                            </tr>
                            <tr>
                                <td width="100px" align="left" valign="top" class="editor-label">
                                    Screen Shot 
                                </td>
                                <td align="left">
                                  <input type="file" id="file" name="file" class="form-control"/>
                                </td>
                                <td width="100px" align="left">
                                   
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                        <label>
                            New Password</label>
                        <input type="password" class="input-xlarge">
                        <div>
                            <button class="btn btn-primary">
                                Update</button>
                        </div>
                        </form>
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>
}

Views/MaBugReport/Delete.cshtml
@model SSCMvc.Models.MaBugReport

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<fieldset>
    <legend>MaBugReport</legend>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.MaBranch.BramchName)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.MaBranch.BramchName)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.User.Password)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.User.Password)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Title)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Title)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.BugMessage)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.BugMessage)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Cdate)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Cdate)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Status)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Status)
    </div>
</fieldset>
@using (Html.BeginForm()) {
    <p>
        <input type="submit" value="Delete" /> |
        @Html.ActionLink("Back to List", "Index")
    </p>
}

Views/MaBugReport/Edit.cshtml
@using SSCMvc.Models;
@using SSCMvc.Webutil;
@model SSCMvc.Models.MaBugReport
@using System.Web.UI.WebControls
@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">



        $(document).ready(function () {

            $("#btnCancel").click(function () {
                window.location.href = "/MaBugReport/Index";

            });
            $("#Title").attr('placeholder', 'Only 150 Character');
            $("#Title").css('width', '350px');


            $("#BugMessage").attr('placeholder', 'Only 500 Characters');
            $("#BugMessage").css('height', '150px');
            $("#BugMessage").css('width', '350px');

        });



    </script>
}
@using (Html.BeginForm("Edit", "MaBugReport", null, FormMethod.Post, new { @id = "Form_Masters", @class = "form-horizontal", enctype = "multipart/form-data" }))
{
    @Html.ValidationSummary(true)
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Edit BugReport
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
        }

        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        @Html.HiddenFor(model => model.Cdate)
                        @Html.HiddenFor(model => model.UserId)
                        @Html.HiddenFor(model => model.CountBug)
                        @Html.HiddenFor(model => model.SrNo)
                        @Html.HiddenFor(model => model.Screenshot)
                        <table width="600px" align="center">
                            <tr>
                                <td>
                                    <table>
                                        <tr>
                                            <td width="100px" align="left" class="editor-label">
                                                Title <span class="color_style">*</span>
                                            </td>
                                            <td align="left">
                                                @Html.EditorFor(model => model.Title)
                                            </td>
                                            <td width="100px" align="left">
                                                @Html.ValidationMessageFor(model => model.Title)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="100px" align="left" valign="top" class="editor-label">
                                                Message <span class="color_style">*</span>
                                            </td>
                                            <td align="left">
                                                @Html.EditorFor(model => model.BugMessage)
                                            </td>
                                            <td width="100px" align="left">
                                                @Html.ValidationMessageFor(model => model.BugMessage)
                                            </td>
                                        </tr>

                                        <tr>
                                            <td width="100px" align="left" valign="top" class="editor-label">
                                                Priority Level <span class="color_style">*</span>
                                            </td>
                                            <td align="left">
                                                @{
        var liTimeSlot = new List<ListItem>();
        liTimeSlot.Add(new ListItem { Text = "", Value = "" });
        liTimeSlot.Add(new ListItem { Text = "Critical: Resolution Time 2 hours", Value = "Critical: Resolution Time 2 hours" });
        liTimeSlot.Add(new ListItem { Text = "High: Resolution Time 4 hours", Value = "High: Resolution Time 4 hours" });
        liTimeSlot.Add(new ListItem { Text = "Medium: Resolution time 24 hours", Value = "Medium: Resolution time 24 hours" });
        liTimeSlot.Add(new ListItem { Text = "Low: Resolution time 48 hours", Value = "Low: Resolution time 48 hours" });



                                                }
                                                @Html.DropDownListFor(model => model.PriorityType, new SelectList(liTimeSlot))
                                            </td>
                                            <td width="100px" align="left">
                                                @Html.ValidationMessageFor(model => model.PriorityType)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="100px" align="left" valign="top" class="editor-label">
                                                Screen Shot 
                                            </td>
                                            <td align="left">
                                                <input type="file" id="file" name="file" class="form-control" />
                                            </td>
                                            <td width="100px" align="left"></td>
                                        </tr>


                                        <tr>
                                            <td width="100px" align="left" valign="top" class="editor-label">
                                                Bug Status
                                            </td>
                                            <td align="left">
                                                @{
        var listItems = new List<ListItem>();
        listItems.Add(new ListItem { Text = "Open", Value = "Open" });
        listItems.Add(new ListItem { Text = "Resolved", Value = "Resolved" });
        listItems.Add(new ListItem { Text = "Closed", Value = "Closed" });
        listItems.Add(new ListItem { Text = "Implemented", Value = "Implemented" });

                                                }
                                                @Html.DropDownListFor(model => model.ReplyStatus, new SelectList(listItems))
                                            </td>
                                        </tr>

                                    </table>

                                </td>
                                <td valign="top" width="150px">
                                    <table>
                                        <tr>
                                            <td>
                                                <b><h3>Bug No :</h3></b>
                                            </td>
                                            <td>
                                               <b> @ViewBag.bugno</b>
                                            </td>
                                        </tr>
                                       
                                    </table>

                                </td>

                            </tr>


                        </table>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                            <label>
                                New Password
                            </label>
                            <input type="password" class="input-xlarge">
                            <div>
                                <button class="btn btn-primary">
                                    Update
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>

}